libetonyek::IWORKSpanElement Class Reference

`#include <IWORKSpanElement.h>`

Inheritance diagram for libetonyek::IWORKSpanElement:

## Public Member Functions
| IWORKSpanElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
void | endOfElement () override
| Signalize the end of an element.
void | ensureOpened ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
IWORKStylePtr_t | m_style
bool | m_opened
IWORKBreakType | m_delayedBreak

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKSpanElement()

libetonyek::IWORKSpanElement::IWORKSpanElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKSpanElement::attribute | ( | int | name,
|  | const char * | value )
| override protected virtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKSpanElement::element | ( | int | name | ) |
| override protected virtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKSpanElement::endOfElement | ( |  | ) |
| override protected virtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ ensureOpened()

void libetonyek::IWORKSpanElement::ensureOpened | ( |  | ) |
| protected

Referenced by element(), and text().

## ◆ text()

void libetonyek::IWORKSpanElement::text | ( | const char * | value | ) |
| override protected virtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_delayedBreak

IWORKBreakType libetonyek::IWORKSpanElement::m_delayedBreak
| private

Referenced by element(), endOfElement(), and IWORKSpanElement().

## ◆ m_opened

bool libetonyek::IWORKSpanElement::m_opened
| private

Referenced by endOfElement(), ensureOpened(), and IWORKSpanElement().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKSpanElement::m_style
| private

Referenced by attribute(), ensureOpened(), and IWORKSpanElement().

The documentation for this class was generated from the following files:

- IWORKSpanElement.h
- IWORKSpanElement.cpp